# -*- coding: utf-8 -*-


def rgb_to_hex(rgb):
    return "#{:02X}{:02X}{:02X}".format(*(int(255 * c) for c in rgb))


ATOM_COLORS = {
    "H": "#FFFFFF",
    "He": "#D9FFFF",
    "Li": "#CC80FF",
    "Be": "#C2FF00",
    "B": "#FFB2B2",
    "C": "#333333",
    "N": "#0000FF",
    "O": "#FF0000",
    "F": "#00FF00",
    "Ne": "#B3E3F5",
    "Na": "#AA5CF2",
    "Mg": "#8AFF00",
    "Al": "#BFA6A6",
    "Si": "#809999",
    "P": "#FF8000",
    "S": "#FFFF2D",
    "Cl": "#1EF01E",
    "Ar": "#80D1E3",
    "K": "#8F3FD4",
    "Ca": "#3DFF00",
    "Sc": "#E6E6E6",
    "Ti": "#BFC2C7",
    "V": "#A6A6AB",
    "Cr": "#8A99C7",
    "Mn": "#9B7ACC",
    "Fe": "#E06633",
    "Co": "#F08F9F",
    "Ni": "#4ECC4E",
    "Cu": "#C87F33",
    "Zn": "#7D80B0",
    "Ga": "#C18F8F",
    "Ge": "#669090",
    "As": "#BD80E3",
    "Se": "#FFA000",
    "Br": "#A62929",
    "Kr": "#5CB8D1",
    "Rb": "#712DB0",
    "Sr": "#00FF00",
    "Y": "#94FFFF",
    "Zr": "#94E0E0",
    "Nb": "#73C2C9",
    "Mo": "#54B5B5",
    "Tc": "#3A9E9E",
    "Ru": "#238F8F",
    "Rh": "#0C7D8C",
    "Pd": "#006999",
    "Ag": "#BFBFBF",
    "Cd": "#FFD999",
    "In": "#A74D4C",
    "Sn": "#668080",
    "Sb": "#9E63B5",
    "Te": "#D67A00",
    "I": "#940094",
    "Xe": "#429EB0",
    "Cs": "#581699",
    "Ba": "#00CA00",
    "La": "#70D4FF",
    "Ce": "#FFFFC7",
    "Pr": "#D9FFC7",
    "Nd": "#C7FFC7",
    "Pm": "#A3FFC7",
    "Sm": "#8FFFBD",
    "Eu": "#61FFC7",
    "Gd": "#45FFC7",
    "Tb": "#30FFC7",
    "Dy": "#1EFFC7",
    "Ho": "#00FFA0",
    "Er": "#00E673",
    "Tm": "#00D452",
    "Yb": "#00BF39",
    "Lu": "#00AB24",
    "Hf": "#4CBFFF",
    "Ta": "#4CA6FF",
    "W": "#218ED6",
    "Re": "#277DAA",
    "Os": "#266698",
    "Ir": "#175486",
    "Pt": "#D1D1E0",
    "Au": "#FFD122",
    "Hg": "#B8B8D1",
    "Tl": "#A6554D",
    "Pb": "#57595F",
    "Bi": "#9F4FB5",
    "Po": "#AA5C00",
    "At": "#764F45",
    "Rn": "#438296",
    "Fr": "#420066",
    "Ra": "#007D00",
    "Ac": "#70ABE9",
    "Th": "#00BAFF",
    "Pa": "#00A1FF",
    "U": "#008FFF",
    "Np": "#007FFF",
    "Pu": "#006AFF",
    "Am": "#555B F2",
    "Cm": "#785BD9",
    "Bk": "#8A4FD9",
    "Cf": "#A033D4",
    "Es": "#B31FD4",
    "Fm": "#B31FB9",
    "Md": "#B30DA6",
    "No": "#BD0D88",
    "Lr": "#C70066",
    "Rf": "#CC0059",
    "Db": "#D1004F",
    "Sg": "#D90044",
    "Bh": "#E00038",
    "Hs": "#E6002E",
    "Mt": "#EB0023",
    "Ds": "#F20017",
    "Rg": "#F8000C",
    "Cn": "#FF0000",
    "Nh": "#FF3366",
    "Fl": "#FF6666",
    "Mc": "#FF9966",
    "Lv": "#FFCC66",
    "Ts": "#FFFF66",
    "Og": "#CCFF66",
}

# ATOM_COLORS = {
#     "H": (1.00, 1.00, 1.00),  # White
#     "He": (0.85, 1.00, 1.00),  # Pale cyan
#     "Li": (0.80, 0.50, 1.00),  # Violet
#     "Be": (0.76, 1.00, 0.00),  # Dark green
#     "B": (1.00, 0.70, 0.70),  # Salmon
#     "C": (0.20, 0.20, 0.20),  # Dark gray
#     "N": (0.00, 0.00, 1.00),  # Blue
#     "O": (1.00, 0.00, 0.00),  # Red
#     "F": (0.00, 1.00, 0.00),  # Green
#     "Ne": (0.70, 0.89, 0.96),  # Pale blue
#     "Na": (0.67, 0.36, 0.95),  # Purple
#     "Mg": (0.54, 1.00, 0.00),  # Light green
#     "Al": (0.75, 0.65, 0.65),  # Light gray
#     "Si": (0.50, 0.60, 0.60),  # Gray
#     "P": (1.00, 0.50, 0.00),  # Orange
#     "S": (1.00, 1.00, 0.18),  # Yellow
#     "Cl": (0.12, 0.94, 0.12),  # Green
#     "Ar": (0.50, 0.82, 0.89),  # Cyan
#     "K": (0.56, 0.25, 0.83),  # Violet
#     "Ca": (0.24, 1.00, 0.00),  # Bright green
#     "Sc": (0.90, 0.90, 0.90),  # Silver
#     "Ti": (0.75, 0.76, 0.78),  # Light gray
#     "V": (0.65, 0.65, 0.67),  # Gray
#     "Cr": (0.54, 0.60, 0.78),
#     "Mn": (0.61, 0.48, 0.78),
#     "Fe": (0.88, 0.40, 0.20),  # Brown
#     "Co": (0.94, 0.56, 0.63),
#     "Ni": (0.31, 0.82, 0.31),  # Green
#     "Cu": (0.78, 0.50, 0.20),  # Orange-brown
#     "Zn": (0.49, 0.50, 0.69),
#     "Ga": (0.76, 0.56, 0.56),
#     "Ge": (0.40, 0.56, 0.56),
#     "As": (0.74, 0.50, 0.89),
#     "Se": (1.00, 0.63, 0.00),
#     "Br": (0.65, 0.16, 0.16),  # Dark red
#     "Kr": (0.36, 0.72, 0.82),
#     "Rb": (0.44, 0.18, 0.69),
#     "Sr": (0.00, 1.00, 0.00),  # Bright green
#     "Y": (0.58, 1.00, 1.00),
#     "Zr": (0.58, 0.88, 0.88),
#     "Nb": (0.45, 0.76, 0.79),
#     "Mo": (0.33, 0.71, 0.71),
#     "Tc": (0.23, 0.62, 0.62),
#     "Ru": (0.14, 0.56, 0.56),
#     "Rh": (0.04, 0.49, 0.55),
#     "Pd": (0.00, 0.41, 0.52),
#     "Ag": (0.75, 0.75, 0.75),  # Light gray
#     "Cd": (1.00, 0.85, 0.56),
#     "In": (0.65, 0.46, 0.45),
#     "Sn": (0.40, 0.50, 0.50),
#     "Sb": (0.62, 0.39, 0.71),
#     "Te": (0.83, 0.48, 0.00),
#     "I": (0.58, 0.00, 0.58),  # Purple
#     "Xe": (0.26, 0.62, 0.69),
#     "Cs": (0.34, 0.09, 0.56),
#     "Ba": (0.00, 0.79, 0.00),
#     "La": (0.44, 0.83, 1.00),
#     "Ce": (1.00, 1.00, 0.78),
#     "Pr": (0.85, 1.00, 0.78),
#     "Nd": (0.78, 1.00, 0.78),
#     "Pm": (0.64, 1.00, 0.78),
#     "Sm": (0.56, 1.00, 0.78),
#     "Eu": (0.38, 1.00, 0.78),
#     "Gd": (0.27, 1.00, 0.78),
#     "Tb": (0.19, 1.00, 0.78),
#     "Dy": (0.12, 1.00, 0.78),
#     "Ho": (0.00, 1.00, 0.61),
#     "Er": (0.00, 0.90, 0.46),
#     "Tm": (0.00, 0.83, 0.32),
#     "Yb": (0.00, 0.75, 0.22),
#     "Lu": (0.00, 0.67, 0.14),
#     "Hf": (0.30, 0.76, 1.00),
#     "Ta": (0.30, 0.65, 1.00),
#     "W": (0.13, 0.58, 0.84),
#     "Re": (0.15, 0.49, 0.67),
#     "Os": (0.15, 0.40, 0.59),
#     "Ir": (0.09, 0.33, 0.53),
#     "Pt": (0.82, 0.82, 0.88),
#     "Au": (1.00, 0.82, 0.14),  # Gold
#     "Hg": (0.72, 0.72, 0.82),
#     "Tl": (0.65, 0.33, 0.30),
#     "Pb": (0.34, 0.35, 0.38),
#     "Bi": (0.62, 0.31, 0.71),
#     "Po": (0.67, 0.36, 0.00),
#     "At": (0.46, 0.31, 0.27),
#     "Rn": (0.26, 0.51, 0.59),
#     "Fr": (0.26, 0.00, 0.40),
#     "Ra": (0.00, 0.49, 0.00),
#     "Ac": (0.44, 0.67, 0.98),
#     "Th": (0.00, 0.73, 1.00),
#     "Pa": (0.00, 0.63, 1.00),
#     "U": (0.00, 0.56, 1.00),
#     "Np": (0.00, 0.50, 1.00),
#     "Pu": (0.00, 0.42, 1.00),
#     "Am": (0.33, 0.36, 0.95),
#     "Cm": (0.47, 0.36, 0.89),
#     "Bk": (0.54, 0.31, 0.89),
#     "Cf": (0.63, 0.21, 0.83),
#     "Es": (0.70, 0.12, 0.83),
#     "Fm": (0.70, 0.12, 0.73),
#     "Md": (0.70, 0.05, 0.65),
#     "No": (0.74, 0.05, 0.53),
#     "Lr": (0.78, 0.00, 0.40),
#     "Rf": (0.80, 0.00, 0.35),
#     "Db": (0.82, 0.00, 0.31),
#     "Sg": (0.85, 0.00, 0.27),
#     "Bh": (0.88, 0.00, 0.22),
#     "Hs": (0.90, 0.00, 0.18),
#     "Mt": (0.92, 0.00, 0.14),
#     "Ds": (0.95, 0.00, 0.09),
#     "Rg": (0.97, 0.00, 0.05),
#     "Cn": (1.00, 0.00, 0.00),
#     "Nh": (1.00, 0.20, 0.40),
#     "Fl": (1.00, 0.40, 0.40),
#     "Mc": (1.00, 0.60, 0.40),
#     "Lv": (1.00, 0.80, 0.40),
#     "Ts": (1.00, 1.00, 0.40),
#     "Og": (0.80, 1.00, 0.40),
# }

COLORMAPS = [
    "magma",
    "inferno",
    "plasma",
    "viridis",
    "cividis",
    "twilight",
    "twilight_shifted",
    "turbo",
    "berlin",
    "managua",
    "vanimo",
    "Blues",
    "BrBG",
    "BuGn",
    "BuPu",
    "CMRmap",
    "GnBu",
    "Greens",
    "Greys",
    "OrRd",
    "Oranges",
    "PRGn",
    "PiYG",
    "PuBu",
    "PuBuGn",
    "PuOr",
    "PuRd",
    "Purples",
    "RdBu",
    "RdGy",
    "RdPu",
    "RdYlBu",
    "RdYlGn",
    "Reds",
    "Spectral",
    "Wistia",
    "YlGn",
    "YlGnBu",
    "YlOrBr",
    "YlOrRd",
    "afmhot",
    "autumn",
    "binary",
    "bone",
    "brg",
    "bwr",
    "cool",
    "coolwarm",
    "copper",
    "cubehelix",
    "flag",
    "gist_earth",
    "gist_gray",
    "gist_heat",
    "gist_ncar",
    "gist_rainbow",
    "gist_stern",
    "gist_yarg",
    "gnuplot",
    "gnuplot2",
    "gray",
    "hot",
    "hsv",
    "jet",
    "nipy_spectral",
    "ocean",
    "pink",
    "prism",
    "rainbow",
    "seismic",
    "spring",
    "summer",
    "terrain",
    "winter",
    "Accent",
    "Dark2",
    "Paired",
    "Pastel1",
    "Pastel2",
    "Set1",
    "Set2",
    "Set3",
    "tab10",
    "tab20",
    "tab20b",
    "tab20c",
    "grey",
    "gist_grey",
    "gist_yerg",
    "Grays",
    "magma_r",
    "inferno_r",
    "plasma_r",
    "viridis_r",
    "cividis_r",
    "twilight_r",
    "twilight_shifted_r",
    "turbo_r",
    "berlin_r",
    "managua_r",
    "vanimo_r",
    "Blues_r",
    "BrBG_r",
    "BuGn_r",
    "BuPu_r",
    "CMRmap_r",
    "GnBu_r",
    "Greens_r",
    "Greys_r",
    "OrRd_r",
    "Oranges_r",
    "PRGn_r",
    "PiYG_r",
    "PuBu_r",
    "PuBuGn_r",
    "PuOr_r",
    "PuRd_r",
    "Purples_r",
    "RdBu_r",
    "RdGy_r",
    "RdPu_r",
    "RdYlBu_r",
    "RdYlGn_r",
    "Reds_r",
    "Spectral_r",
    "Wistia_r",
    "YlGn_r",
    "YlGnBu_r",
    "YlOrBr_r",
    "YlOrRd_r",
    "afmhot_r",
    "autumn_r",
    "binary_r",
    "bone_r",
    "brg_r",
    "bwr_r",
    "cool_r",
    "coolwarm_r",
    "copper_r",
    "cubehelix_r",
    "flag_r",
    "gist_earth_r",
    "gist_gray_r",
    "gist_heat_r",
    "gist_ncar_r",
    "gist_rainbow_r",
    "gist_stern_r",
    "gist_yarg_r",
    "gnuplot_r",
    "gnuplot2_r",
    "gray_r",
    "hot_r",
    "hsv_r",
    "jet_r",
    "nipy_spectral_r",
    "ocean_r",
    "pink_r",
    "prism_r",
    "rainbow_r",
    "seismic_r",
    "spring_r",
    "summer_r",
    "terrain_r",
    "winter_r",
    "Accent_r",
    "Dark2_r",
    "Paired_r",
    "Pastel1_r",
    "Pastel2_r",
    "Set1_r",
    "Set2_r",
    "Set3_r",
    "tab10_r",
    "tab20_r",
    "tab20b_r",
    "tab20c_r",
    "grey_r",
    "gist_grey_r",
    "gist_yerg_r",
    "Grays_r",
]
